<template>
  <lazy-theme-desktop-peru-referrals-history
    v-if="selectedThemeName.includes('peru')"
  />
  <MHistory v-else-if="isMobile" />
  <History v-else />
</template>

<script setup lang="ts">
import MHistory from "@/components/theme/common/mobile/referral/History.client.vue";
import History from "@/components/theme/common/desktop/referral/History.client.vue";
import { store } from "~~/store";

const isMobile = !useIsDesktop();
const selectedThemeName = computed(() => store.state.selectedThemeName);
</script>

<style scoped></style>
